{
  "name": "@k-int/address-plugin-british-isles",
  "description": "Plugin to render a British Isles address form",
  "version": "1.1.0",
  "scripts": {
    "lint": "eslint src",
    "clean": "rm -rf ./node_modules ./*/node_modules ./yarn.lock && yarn install",
    "clean-build": "yarn clean && yarn build",
    "build:es": "rm -rf ./es && babel --extensions .js --ignore ./src/**/tests/**/* ./src --out-dir es",
    "build": "yarn build:es",
    "prepare": "yarn build",
    "pack": "npm pack"
  },
  "sideEffects": [
    "*.css"
  ],
  "license": "Apache-2.0",
  "engines": {
    "node": ">=10.0.0"
  },
  "dependencies": {
    "@k-int/address-utils": "^1.1.0",
    "react-flexbox-grid": "^2.1.2"
  },
  "devDependencies": {
    "react": "^17.0.2",
    "eslint": "^7.0.0",
    "@babel/cli": "^7.11.6",
    "@babel/core": "^7.11.6",
    "@babel/plugin-proposal-class-properties": "^7.12.1",
    "@babel/plugin-proposal-decorators": "^7.12.1",
    "@babel/plugin-proposal-function-sent": "^7.14.5",
    "@babel/plugin-proposal-throw-expressions": "^7.14.5",
    "@babel/plugin-transform-runtime": "^7.16.4",
    "@babel/preset-env": "^7.11.5",
    "@babel/preset-react": "^7.12.5",
    "@folio/eslint-config-stripes": "^6.0.0",
    "@folio/stripes-erm-components": "^6.0.0",
    "@folio/stripes-testing": "^4.0.0",
    "@testing-library/dom": "^7.26.5",
    "@testing-library/jest-dom": "^5.11.5",
    "@testing-library/react": "^11.1.1",
    "@testing-library/user-event": "^12.2.0",
    "@folio/stripes-cli": ">=2.4.0",
    "@babel/eslint-parser": "^7.15.0",
    "babel-jest": "^26.6.3",
    "babel-plugin-const-enum": "^1.0.1",
    "babel-plugin-module-resolver": "^4.0.0",
    "babel-plugin-require-context-hook": "^1.0.0",
    "babel-plugin-transform-async-to-promises": "^0.8.15",
    "babel-polyfill": "^6.26.0"
  },
  "peerDependencies": {
    "classnames": ">=2.2.6",
    "final-form": ">=4.18.4",
    "final-form-arrays": ">=3.0.1",
    "lodash": ">=4.17.0",
    "prop-types": ">=15.6.0",
    "prop-types-extra": ">=1.1.0",
    "react": "*",
    "react-final-form": ">=6.3.0",
    "react-final-form-arrays": ">=3.1.0",
    "react-intl": ">=5.8.1"
  },
  "main": "src/index.js",
  "module": "es/index.js",
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:knowledge-integration/folio/addressplugins.git"
  },
  "author": "knowledgeintegration"
}
